Subject: [v6ops] I-D Action: draft-ietf-v6ops-64share-01.txt

From: [email-masked]
Date: Tue, 29 Jan 2013 11:00:51 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IPv6 Operations Working Group of the IETF.

	Title           : Extending an IPv6 /64 Prefix from a 3GPP Mobile Interface to a LAN
	Author(s)       : Cameron Byrne
                          Dan Drown
	Filename        : draft-ietf-v6ops-64share-01.txt
	Pages           : 8
	Date            : 2013-01-29

Abstract:
   This document describes three methods for extending an IPv6 /64
   prefix from a User Equipment 3GPP radio interface to a LAN.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-64share

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-v6ops-64share-01

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-v6ops-64share-01

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 30 Jan 2013 16:43:50 +0100

Thank you for this new version!

> 1.  The user activates router functionality for a LAN on the UE.

I suggest to make it router functionality for LAN _and_ for WAN on the
UE (not only on LAN).  This is linux equivalent to "echo
1>/proc/sys/.../all/..."

If we do so, the Router will by default not self-configure address based
on the prefix from the PIO in the received RA, which is good in this case.

Then,

Should this Router reply to RSs it may receive on its wwan interface?
By sending RAs?

Should it join router-specific multicast groups on it?

As it stands now, I don't see a reason why it should, because the
gateway in the cellular network does not send it any RS nor does it seem
to query for MLDs.

But should we specify it to forbid it to send RAs on its wwan0 interface?

Alex

Le 29/01/2013 20:00, [email-masked] a écrit :
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories. This draft is a work item of the IPv6 Operations
> Working Group of the IETF.
>
> Title           : Extending an IPv6 /64 Prefix from a 3GPP Mobile
> Interface to a LAN Author(s)       : Cameron Byrne Dan Drown
> Filename : draft-ietf-v6ops-64share-01.txt Pages           : 8 Date :
> 2013-01-29
>
> Abstract: This document describes three methods for extending an
> IPv6 /64 prefix from a User Equipment 3GPP radio interface to a LAN.
>
>
> _______________________________________________ I-D-Announce mailing
> list [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce Internet-Draft
> directories: http://www.ietf.org/shadow.html or
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>

---

From: Vízdal Aleš <[email-masked]>
Date: Wed, 30 Jan 2013 17:24:24 +0100

Hi Alex,

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Alexandru Petrescu
> Sent: Wednesday, January 30, 2013 4:44 PM
> To: [email-masked]
> Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-64share-01.txt
> 

Are you assuming a broken GGSN implementation or just catching a case
where for whatever reason the UE sees an RS on its wwan interface? 
The UE shall not be announcing the /64 prefix on the wwan interface 
and even if it would have sent the RA to the GGSN/PDN-GW it shall be
ignored.
 
> But should we specify it to forbid it to send RAs on its wwan0 interface?

The router/RA function (e.g. radvd) shall be bound to the lan interface only.
 
> Alex

Ales

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 30 Jan 2013 18:45:54 +0100

Le 30/01/2013 17:24, Vízdal Aleš a écrit :
> Hi Alex,
>
>> -----Original Message----- From: [email-masked]
>> [mailto:[email-masked]] On Behalf Of Alexandru Petrescu
>> Sent: Wednesday, January 30, 2013 4:44 PM To: [email-masked]
>> I suggest to make it router functionality for LAN _and_ for WAN on
>> the UE (not only on LAN).  This is linux equivalent to "echo
>> 1>/proc/sys/.../all/..."
>>
>> If we do so, the Router will by default not self-configure address
>> based on the prefix from the PIO in the received RA, which is good
>> in this case.
>>
>> Then,
>>
>> Should this Router reply to RSs it may receive on its wwan
>> interface? By sending RAs?
>
> Are you assuming a broken GGSN implementation or just catching a
> case where for whatever reason the UE sees an RS on its wwan
> interface?

Ok for GGSN, but I don't know about ADSL or cable modem setups - will
the Gateway connected to the CPE send RS to or accept RA from this Router?

> and even if it would have sent the RA to the GGSN/PDN-GW it shall be

I agree.  Maybe state that it should not be sending RAs altogether (not
only the Prefix Information Option) on that wwan interface.

I don't remember whether there's some spec which relaxes the need that a
Router to send RAs.

But Router specifications like RFC4861 say "Router Advertisement:
Routers advertise their presence together with various link and Internet
parameters either periodically, or in response to a Router Solicitation
message."

>> gateway in the cellular network does not send it any RS nor does it
>> seem to query for MLDs.
>>

YEs, I agree.  This is worth noting.

Alex

>
>> Alex
>
> Ales _______________________________________________ v6ops mailing
> list [email-masked] https://www.ietf.org/mailman/listinfo/v6ops
>
>